100  ' 555 timer calculations from RE mag. Jan 86 issue
110  KEY OFF:CLS:FOR I= 1 TO 12:PRINT :NEXT I
120  LOCATE 12,9:PRINT "555 TIMER CALCULATIONS  ORGINALLY CREATED BY JEFF HOLTMAN"
125  LOCATE 13,22:PRINT "ADAPTED TO IBM-PC BY BILL MCCALL"
130  LOCATE 18,26:PRINT "HIT ANY KEY TO CONTINUE"
133  GO$= INKEY$: IF GO$ ="" THEN 133
135  CLS
140  INPUT "Astable / Monostable / Exit (A/M/E) ?",IN$
150  IF IN$ = "E" OR IN$ = "e" THEN END
160  IF IN$ = "M" OR IN$ = "m" THEN 580
170  IF IN$ = "A" OR IN$ = "a" THEN 190
180  GOTO 135
190  ' ASTABLE CALCULATIONS
200  PRINT
210  INPUT "Frequency (Hz) ?",F
220  PRINT
230  PRINT "0.   END"
240  PRINT "1    FIND R2, GIVEN R1= 1K ohms, C1= USER ENTRY"
250  PRINT "2.   FIND C1, GIVEN R1= 1K ohms, R2= USER ENTRY"
260  PRINT "3.   FIND C1, GIVEN R1=USER ENTRY, R2= USER ENTRY"
270  PRINT "4.   FIND F GIVEN C1, R1, R2 USER ENTRIES"
275  PRINT "5.   SEE CIRCUIT DESCRIPTION
280  PRINT
290  INPUT "           CHOOSE (0,1,2,3,4,5)  "; IN
300  PRINT
310  IF IN = 0 THEN 140 ELSE ON IN GOSUB 330,390,450,510,1000
320  GOTO 220
330  ' FIND R2 GIVEN R1=1K,C1 ENTERED
340  R1=1000
350  INPUT "C1 (uF)= ?",C1
360  R2= (1.44/(F*C1/1E+06)-R1)/2
370  GOSUB 870
380  RETURN
390  'FIND C1 GIVEN R1=1K, R2 ENTERED
400  R1=1000
410  INPUT "R2 (ohms)= ";R2
420  C1 =1.44/(F*(R1+2*R2))*1E+06
430  GOSUB 870
440  RETURN
450  ' FIND C1 GIVEN R1, R2 ENTERED
460  INPUT "R1 (ohms)= ";R1
470  INPUT "R2 (ohms)= ";R2
480  C1=1.44/(F*(R1+2*R2))*1E+06
490  GOSUB 870
500  RETURN
510  ' FIND F GIVEN C1,R1,R2 ENTERED
520  INPUT "C1 (uF)= ";C1
530  INPUT "R1 (ohms)= ";R1
540  INPUT "R2 (ohms)= ";R2
550  PRINT
560  PRINT "New frequency would be: "; 1.44/(C1*9.99E-07*(R1+2*R2));"Hz"
570  RETURN
580  'MONOSTABLE CACLULATIONS
590  PRINT
600  PRINT "0.   END"
610  PRINT "1.   FIND T GIVEN R & C"
620  PRINT "2.   FIND R GIVEN T & C"
630  PRINT "3.   FIND C GIVEN R & T"
635  PRINT "4.   SEE CIRCUIT DESCRIPTION"
640  PRINT
650  INPUT "       CHOOSE (0-4)";IN
660  PRINT
670  IF IN = 0 THEN GOTO 140 ELSE ON IN GOSUB 720,770,820,1200
680  PRINT
690  PRINT "C= ";C1;"uF";"              ";"R= ";R1;"Ohms"
695  PRINT "T= ";T*1000;" Milliseconds"
700  PRINT
710  GOTO 580
720  'FIND T GIVEN R & C
730  INPUT "R (ohms)=";R1
740  INPUT "C (uF)=";C1
750  T=1.1*R1*C1*9.99E-07
760  RETURN
770  'FIND R GIVEN T & C
780  INPUT "T (Secs)";T
790  INPUT "C (uF)= ";C1
800  R1=T/1.1*C1*1E+06
810  RETURN
820  'FIND C GIVEN T & R
830  INPUT "R (ohms)= ";R1
840  INPUT "T (secs)= ";T
850  C=T/1.1*R1*9.99E-07
860  RETURN
870  'PRINT ASTABLE VARIABLES
880  PRINT
890  PRINT "F= ";F;" Hz                C1=";C1;" uF
900  PRINT "R1=";R1;" Ohms            R2=";R2;" Ohms"
910  PRINT
920  RETURN
930  END
1000  CLS:INPUT "Output to printer?",LPT$
1010  IF LPT$ = "Y" OR LPT$ = "y" THEN 1140
1020  IF LPT$ = "N" OR LPT$ = "n" THEN 1040
1030  GOTO 1000
1040  PRINT "The Astable components that you (will/have) determined are configured"
1050  PRINT "as follows:"
1051  PRINT "Using a 8 pin dip hook up the following"
1052  PRINT "Pins 4 & 8 to +5V"
1053  PRINT "Pin 7 thru R1 to +5V"
1054  PRINT "Pins 2 & 6 thru R2 to pin 7, also thru  C1 to Gnd"
1055  PRINT "Pin 1 to Gnd"
1056  PRINT "Pin 5 thru .1uF cap to Gnd"
1057  PRINT "Pin 3 is the output"
1060  PRINT:PRINT:PRINT "   <Hit any key to continue>"
1070  A$=INKEY$:IF A$="" THEN 1070
1080  CLS:RETURN
1140  LPRINT "The Astable components that you (will/have) determined are configured"
1150  LPRINT "as follows:"
1151  LPRINT "Using a 8 pin dip hook up the following"
1152  LPRINT "Pins 4 & 8 to +5V"
1153  LPRINT "Pin 7 thru R1 to +5V"
1154  LPRINT "Pins 2 & 6 together thru R2 to pin 7. Also tie to Gnd thru C1"
1155  LPRINT "Pin 1 to Gnd"
1156  LPRINT "Pin 5 thru .1uF cap to Gnd"
1157  LPRINT "Pin 3 is the output"
1160  PRINT "Hit any key to continue"
1170  A$=INKEY$:IF A$="" THEN 1070
1180  CLS:RETURN
1200  CLS:INPUT "Output to printer?",LPT$
1210  IF LPT$ = "Y" OR LPT$ = "y" THEN 1340
1220  IF LPT$ = "N" OR LPT$ = "n" THEN 1240
1230  GOTO 1200
1240  PRINT "The monstable components that you (will/have) determined are configured"
1250  PRINT "as follows:"
1251  PRINT "Using a 8 pin dip hook up the following"
1252  PRINT "Pins 4 & 8 to +5V"
1253  PRINT "Pin 7 thru R1 to +5V"
1254  PRINT "Pins 2 & 6 tie together to make the trigger input. Also tie to Gnd thru C1"
1255  PRINT "Pin 1 to Gnd"
1256  PRINT "Pin 5 thru .1uF cap to Gnd"
1257  PRINT "Pin 3 is the output"
1260  PRINT "Hit any key to continue"
1270  A$=INKEY$:IF A$="" THEN 1070
1280  CLS:RETURN
1340  LPRINT "The monstable components that you (will/have) determined are configured"
1350  LPRINT "as follows:"
1351  LPRINT "Using a 8 pin dip hook up the following"
1352  LPRINT "Pins 4 & 8 to +5V"
1353  LPRINT "Pin 7 thru R1 to +5V"
1354  LPRINT "Pins 2 & 6 tie together to make the trigger input. Also tie to Gnd thru C1"
1355  LPRINT "Pin 1 to Gnd"
1356  LPRINT "Pin 5 thru .1uF cap to Gnd"
1357  LPRINT "Pin 3 is the output"
1360  PRINT "Hit any key to continue"
1370  A$=INKEY$:IF A$="" THEN 1070
1380  CLS:RETURN
